/* latin-ext NORMAL */
@font-face {
    font-family: 'Source Sans 3';
    font-style: normal;
    font-weight: 200 900;
    font-display: swap;
    src: url(/font/SourceSans3-VariableFont_wght.ttf) format('truetype');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

/* latin NORMAL */
@font-face {
    font-family: 'Source Sans 3';
    font-style: normal;
    font-weight: 200 900;
    font-display: swap;
    src: url(/font/SourceSans3-VariableFont_wght.ttf) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* latin-ext ITALIC */
@font-face {
    font-family: 'Source Sans 3';
    font-style: italic;
    font-weight: 200 900;
    font-display: swap;
    src: url(/font/SourceSans3-Italic-VariableFont_wght.ttf) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin ITALIC */
@font-face {
    font-family: 'Source Sans 3';
    font-style: italic;
    font-weight: 200 900;
    font-display: swap;
    src: url(/font/SourceSans3-Italic-VariableFont_wght.ttf) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

#root, html, body, .content, .app {
    font-family: "Source Sans Pro", "Source Sans 3", sans-serif;
    /*background-color: #1A1F35;*/
    margin: 0;
    padding: 0;
}

.root {
    display: flex;
    flex-direction: column;
    height: 100dvh;
}

.top-header {
    background-color: black;
    display: flex;
    align-items: center;
    height:5dvh;
    width: 100%;
}

.icon-logo {
    height: 3dvh;
    padding: 1rem;
    padding-left: 2rem;
}

.top-toolbar {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
    padding-right: 2rem;
}

.top-toolbar-icon-button {
    margin-left: 1rem;
}

.img-button {
    filter: brightness(70%);
}

.img-button:hover {
    filter: brightness(100%);
}


.badge-img-button {
    filter: drop-shadow(15px 13px 50px #000000);
}

.badge-img-button:hover {
    filter: drop-shadow(15px 13px 22px #000000);
    src: url(/public/join-badge-action.png);
}

#background-video {
    position: fixed;
    right: 0;
    bottom: 0;
    min-width: 100%;
    min-height: 100%;
    object-fit: cover;
    z-index: -1;
}

.background-img {
    position: fixed;
    right: 0;
    bottom: 0;
    height: 95dvh;
    width: 100%;
    background-image: url(/public/hero-background-light.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    z-index: -2;
}

.main-frame {
    height: 95dvh;
    width: 100%;
}


.img-box {
    padding-top: 1rem;
}

.text-frame {
    margin-left: 10dvw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 80%;
}

.subhead-font {
    font-family: "Source Sans Pro", "Source Sans 3", sans-serif;
    font-weight: 400;
    color:aliceblue;
    text-transform: uppercase;
    line-height: 120%;
}

@media screen and (min-width: 601px) {
    .subhead-font {
        font-size: calc(14px + 0.590625vw);
    }
  }

@media screen and (max-width: 600px) {
    img {
        width: 60%;
    }
    .subhead-font {
      font-size: calc(12px + 0.590625vw);
    }
  }

::-webkit-scrollbar {
    width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #e0e0e0;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #555;
}